package kagent.test.changeset.notifficator;

import kagent.test.DroolsEngineService;

import org.apache.log4j.Logger;
import org.drools.ChangeSet;
import org.drools.event.io.ResourceChangeListener;
import org.drools.io.ResourceFactory;

public class DroolsEngineResourceNotifier implements ResourceChangeListener {

	private Logger log = Logger.getLogger(DroolsEngineResourceNotifier.class);
	
	private DroolsEngineService droolsEngine;
	
	public DroolsEngineResourceNotifier(DroolsEngineService droolsEngine) {
		this.droolsEngine = droolsEngine;
	}
	
	public void resourcesChanged(ChangeSet changeSet) {
		try {
			Thread.sleep(10000);
			droolsEngine.updateKSession();
		} catch (InterruptedException e) {
			log.error(e);
		}
	}
}
